function indoor_sports_zone_openNav() {
  jQuery(".sidenav").addClass('show');
}
function indoor_sports_zone_closeNav() {
  jQuery(".sidenav").removeClass('show');
}

( function( window, document ) {
  function indoor_sports_zone_keepFocusInMenu() {
    document.addEventListener( 'keydown', function( e ) {
      const indoor_sports_zone_nav = document.querySelector( '.sidenav' );

      if ( ! indoor_sports_zone_nav || ! indoor_sports_zone_nav.classList.contains( 'show' ) ) {
        return;
      }
      const elements = [...indoor_sports_zone_nav.querySelectorAll( 'input, a, button' )],
        indoor_sports_zone_lastEl = elements[ elements.length - 1 ],
        indoor_sports_zone_firstEl = elements[0],
        indoor_sports_zone_activeEl = document.activeElement,
        tabKey = e.keyCode === 9,
        shiftKey = e.shiftKey;

      if ( ! shiftKey && tabKey && indoor_sports_zone_lastEl === indoor_sports_zone_activeEl ) {
        e.preventDefault();
        indoor_sports_zone_firstEl.focus();
      }

      if ( shiftKey && tabKey && indoor_sports_zone_firstEl === indoor_sports_zone_activeEl ) {
        e.preventDefault();
        indoor_sports_zone_lastEl.focus();
      }
    } );
  }
  indoor_sports_zone_keepFocusInMenu();
} )( window, document );

var indoor_sports_zone_btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    indoor_sports_zone_btn.addClass('show');
  } else {
    indoor_sports_zone_btn.removeClass('show');
  }
});

indoor_sports_zone_btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

window.addEventListener('load', (event) => {
  jQuery(".loading").delay(2000).fadeOut("slow");
  jQuery(".loading2").delay(2000).fadeOut("slow");
});

jQuery(document).ready(function() {
    var owl = jQuery('.featured .owl-carousel');
    owl.owlCarousel({
    margin: 30,
    nav:true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 5000,
    loop: false,
    dots: false,
    navText : ['<i class="fas fa-chevron-right" aria-hidden="true"></i>','<i class="fas fa-chevron-left" aria-hidden="true"></i>'],
    responsive: {
      0: {
        items: 1
      },
      576: {
        items: 1
      },
      768: {
        items: 2
      },
      1000: {
        items: 3
      },
      1200: {
        items: 3
      }
    },
    autoplayHoverPause : false,
    mouseDrag: true
  });
})

jQuery(window).scroll(function() {
  var data_sticky = jQuery('.main-header').attr('data-sticky');

  if (data_sticky == "true") {
    if (jQuery(this).scrollTop() > 1){
      jQuery('.main-header').addClass("stick_header");
    } else {
      jQuery('.main-header').removeClass("stick_header");
    }
  }
});